Bug 766486 - libreoffice-draw cannot import password protected PDF files
libreoffice-draw cannot import password protected PDF files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-12 02:03 EST by Joachim Backes
Modified: 2012-01-30 01:44 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-30 01:44:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
An example for a passsword protected PDF file (password="encrypted") (8.50 KB, application/rfc822)
2011-12-12 02:03 EST, Joachim Backes
no flags Details

  None (edit)
Description Joachim Backes 2011-12-12 02:03:28 EST
Created attachment 545601 [details]
An example for a passsword protected PDF file (password="encrypted")

Description of problem:

I try to import a password protected PDF file into LibreOffice-Draw: I'm
prompted to enter the password, but the only thing happening after having entered the right password is a draw page containing the text:

This PDF file is encrypted and can't be opened.


Version-Release number of selected component (if applicable):
libreoffice-3.4.4.2-3.fc16.x86_64


How reproducible:

always
Steps to Reproduce:
1.Create a password protected PDF file (for example by LibreOffice itself)
2.Start libreoffice draw and try to open that PDF file
3.Enter the needed password if prompted by LO
  
Actual results:
The visible actual page of LO draw will show only a line:

"This PDF file is encrypted and can't be opened."

Expected results:
the PDF file is imported

Additional info:

1. The encrypted file can be opened by acroread without any problem
2. I have attached a short password protected PDF file. The password is:
   "encrypted" (without apostrophs)
Comment 1 Caolan McNamara 2011-12-12 07:22:07 EST
This is a feature request really, I don't think we ourselves have currently have the capacity to invest time in implementing this one. Best to file this upstream, see http://wiki.documentfoundation.org/BugReport
Comment 2 Joachim Backes 2012-01-29 10:25:38 EST
same issue with libreoffice-3.4.5.2-1.fc16.x86_64
Comment 3 David Tardon 2012-01-30 01:44:35 EST
dtardon->joachim.backes: please see comment 1

Note You need to log in before you can comment on or make changes to this bug.